﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CallCenter.Settings
{
    public class WorkTimeSettings
    {
        public string MorningBegin { get; set; }

        public string MorningEnd { get; set; }

        public string AfterBegin { get; set; }
        
        public string AfterEnd { get; set; }

        public List<int> WorkDay { get; set; }

        public string WorkCategory { get; set; }

        public string RestCategory { get; set; }

        public List<LineSetting> LineSetting { get; set; }
    }

    public class LineSetting
    {
        /// <summary>
        /// 电话号码
        /// </summary>
        public string NumNo { get; set; }
        /// <summary>
        /// 上午开始时间
        /// </summary>
        public string MorningBegin { get; set; }
        /// <summary>
        /// 上午结束时间
        /// </summary>
        public string MorningEnd { get; set; }
        /// <summary>
        /// 下午开始时间
        /// </summary>
        public string AfterBegin { get; set; }
        /// <summary>
        /// 下午结束时间
        /// </summary>
        public string AfterEnd { get; set; }
        /// <summary>
        /// 工作日
        /// </summary>
        public List<int> WorkDay { get; set; }
        /// <summary>
        /// 
        /// </summary>
        public string WorkCategory { get; set; }
        public string RestCategory { get; set; }
        public string WorkToGroup { get; set; }
        public string RestToGroup { get; set; }
        public string EvaluateCategory { get; set; }
    }
}
